#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
background {Black}
light_source {<-900,-150,-150>, color White}
camera {right x*image_width/image_height
location <-1662.1,100,-77.3> look_at <-520,-155,-172> angle 66}
#version 3.5;



#declare Radiosity=off;
#declare Draw=off; 
#declare globe=on;
global_settings {
  assumed_gamma 1.45
  //max_trace_level 25
  #if (Radiosity)
    radiosity {
      pretrace_start 0.08
      pretrace_end   0.04
      count 15
      nearest_count 5
      error_bound 1.8
      recursion_limit 1.8
      low_error_factor 0.5
      gray_threshold 0.3
      minimum_reuse 0.015
      brightness 1
      adc_bailout 0.01/2 
      }
  #end
  }

//SKY SPHERE
#if(globe) 
sky_sphere {
  pigment {
    granite 
    frequency 1.9
    lambda 2
    warp{turbulence .5}
    turbulence .4
    color_map { 
    [0.0 color rgb <3.7,3.7,4.7>] 
    [0.04 rgb 0]
    [1.0  rgb <-.4,-.4,.0> ] 
    }             
    scale 0.05
  }
}    
#end
 

//ENVIRONMENT FOG
#if(globe)
fog {
  fog_type 1
  distance 3000                
  turbulence .2
  turb_depth 100
  color rgbt <.3, .3,.45, .4> 
  fog_alt    .3
}    
fog {
  fog_type   2
  distance   3000 
  color      rgb <0.2,0.2,0.22>  
  fog_offset 300
  fog_alt    0.2
  turbulence 0.2   
  turb_depth 300 
} 
fog {
  fog_type   2
  distance   2000 
  color      rgb <-0.15,-0.15,-0.15> 
  fog_offset 500
  fog_alt    .1
  turbulence 0.5   
  turb_depth 300
}
#end  

//MOONLIGHT

light_source {
  0*x
  color rgb 1.3
  area_light
  <8, 0, 0> <0, 0, 8> 
  3, 3                
  adaptive 1
  jitter
  circular
  orient
 translate <3882.4,327.7,440.6>
#if(globe) 
looks_like{
//MOON
sphere {
<1882.4,727.7,440.6> 500    
  pigment {
  leopard
  turbulence 1.2
  lambda 1
  octaves 5
  frequency 1.2
  warp {turbulence 1.5}
  color_map{
  [0 rgbt <.55,.6,.5,.3>]
  [.15 rgbt <10.44,10.47,8.93,.3>] 
  [.5 rgbt <10,10.3,8,.3>]
  [.85 rgbt <.7,.7,.75,.3>]
  [1 rgbt <.6,.6,.63,.3>]
  }
  scale 100
  } 
  finish {ambient 1.2}  
  }
 }
 #end
 }

//HALO FOR MOON
#if (globe)
  rainbow {
    angle 7
    width 7
    distance 1.0e3
 direction <3.8,.49,.49>
    jitter 0.01
    color_map {
  [0 rgb 1 transmit 0]
  [.1 rgb 4 transmit .2]
  [.3 rgb <2,2,.7> transmit .2] 
  [.35 rgb <.5,0,.5> transmit .1]
  [.4 rgb <.25,.25,1> transmit .1]
  [.45 rgb <0,1,.25> transmit .1]
  [.5 rgb <1,1,.25> transmit .1]
  [.55 rgb <1,.5,.25> transmit .1]
  [.6 rgb <1,.25,.25> transmit .1]
  [1 rgb 1 transmit 1]
    }
  }
   rainbow {
    angle 2
    width 16
    distance 1.0e3
 direction <3.8,.49,.49>
    jitter 0.01
    color_map {
  [0 rgb 1 transmit 1]
  [.1 rgb 2 transmit .7]
  [.4 rgb <5,5,2> transmit .4]
  [.8 rgb 4 transmit .3]
  [1 rgb 1 transmit 1] 
    }
  }
#end

//TORCHLIGHT
light_source{
0*x
color rgb <1,1,.85>
area_light
<5,0,0><5,0,0>
2,2
adaptive 1
jitter
circular
orient
fade_distance 100
fade_power 2
translate <-853.62,-106.9,65.641>
translate <0,23,0> 
}

// WATER/ICE
box {
  <-1481.7, 0, -1481.7>  // one corner position <X1 Y1 Z1>
  < 4*2481.7, 0, 4*2481.7>  // other corner position <X2 Y2 Z2>
  //translate <-802.39, -200, 1276.5>
  translate <802.39, -300, 1276.5>
  pigment{
  ripples
  turbulence .2 
  warp{turbulence .2}
  color_map{
  [0 rgbt <.6,.75,.8,.1>]
  [1 rgbt <.5,.56,.71,.2>]
  }
  scale 10   
  }
  normal {
  ripples 1.2
  octaves 12
  frequency 3 
  turbulence .1
  warp {turbulence 1.2}
  scale 3
  } 
  normal {
  spotted
  octaves 5
  frequency 2
  warp {turbulence .5}
  scale <20,20,15>
  }       
   finish{
   ambient .5
   diffuse .9
   specular .6
   roughness .2
      phong 1
      phong_size 9  
      }
      no_shadow
}

#declare Sky = texture {
    pigment {
      wrinkles
      turbulence .9
      octaves 2
      warp {turbulence .9}
      pigment_map {
      [0 rgb 1 transmit .6]
      [.25 rgb 2 transmit .2]
      [.45 rgb 2 transmit .5]
      [.6 rgb 1.7 transmit .7]
      [1 rgb 1.6 transmit .5]
      }
    }
  }
  #declare Ground = texture {
      pigment {
        bozo
        turbulence .1//.9   
        warp{  turbulence .8}
        lambda 2
        octaves .3
        color_map {
        [0 rgb <.3,.3,.8>]
        [.19 rgb <.7,.65,.2>]
        [.2 rgb <.1,.3,.1>]
        [.5 rgb <.6,.4,.3>]
        [.51 rgb <.4,.4,.6>] 
        [.7 rgb <.1,.1,.2>]
        [1 rgb <.2,.2,.6>]
        }
      }   

    } 
 
//EARTH
#if (globe)
  sphere {
    <-896.74,-164.39,-389.38>, 181      
    texture { Sky scale 50}
  finish {specular .5 
  phong .05
  ambient .02
  diffuse .25
  phong_size 300
  roughness .02} 
translate <0,15,0> 
} 
 
sphere {
    <-896.74,-164.39,-389.38>, 180     
    texture { Ground scale 50}    
  finish {
  specular 1 
  phong .1  
  ambient .1
  diffuse 3.8
  phong_size 30
  roughness .02}  
  translate <0,15,0> 
}    
#end  


//CRATE
#declare crate=
difference{
box{<25,25,25><-25,-25,-25>} 
union{
box{<18,18,23><-18,-18,26>}
box{<18,23,18><-18,26,-18>}
box{<23,18,18><26,-18,-18>}
box{<-23,18,18><-26,-18,-18>}
box{<18,-23,-18><-18,-26,18>}
box{<-18,18,-23><18,-18,-26>}  
}
pigment{
wood
turbulence .2
lambda .7
octaves 3
warp{turbulence .5}
color_map{
[0 rgb <.4,.25,.15>]
[.1 rgb <.5,.4,.2>]
[.8 rgb <.3,.15,0>]
[1 rgb <.1,.08,0>]
} 
scale <10,4,.25>  
rotate 45
}
 
finish{diffuse .4 specular .1 roughness .3} 
normal{
agate 1
warp{turbulence .3}
turbulence .5
scale 30
}
}
object{            
crate
rotate <0,45,0>
translate<-812.85,-171.47,143.92>
translate <0,15,0> 
}



//TEXTURES

#declare SnoMobile = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong 0.82
        phong_size 24.5
    }
    pigment { 
    dents     
    turbulence .9
    color_map {   
    [0 rgb <0.561, 0.004, 0.004> ]
    [1 color Black ]
    }
    } 
    normal { dents .75 scale .25 turbulence 2}   
    scale 10
}

#declare Wheels = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong 2.00
        phong_size 52.5
    }
    pigment {
    bozo
    warp {turbulence .5}
    turbulence .4
    color_map{
    [0 rgb .26]
    [.3 rgb .34]
    [1 rgb .45]
    }}
    normal{
    dents 3
    warp{turbulence 2}
    turbulence .3
    }
    scale 10
}

#declare Reflector = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong 0.03
        phong_size 1.0
    }
    pigment { rgb <0.878, 0.878, 0.878> }
}

#declare HeadlampCase = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong 1.00
        phong_size 52.5
    }
    pigment { rgb <0.188, 0.188, 0.188> }
}

#declare Tread = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong 1.00
        phong_size 52.5
    }
    pigment {
    wrinkles
    warp {turbulence .2}
    turbulence .3
    color_map{
    [0 rgb .1]
    [.4 rgb .05]
    [1 rgb 0]
    }}
    normal{
    dents 3
    warp{turbulence 2}
    turbulence .3
    }
}

#declare Glass = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong 1.00
        phong_size 52.5
    }
    pigment { rgbf <0.985, 0.988, 0.990, 0.900> }
}

#declare Treads = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong 1.00
        phong_size 52.5
    }
    pigment {
    wrinkles
    warp {turbulence .2}
    turbulence .3
    color_map{
    [0 rgb .1]
    [.4 rgb .05]
    [1 rgb 0]
    }}
    normal{
    dents 3
    warp{turbulence 2}
    turbulence .3
    }
}

#declare TankWheels = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong 0.30
        phong_size 52.5
    }
    pigment {
    bozo
    warp {turbulence .5}
    turbulence .4
    color_map{
    [0 rgb .6]
    [.3 rgb .5]
    [1 rgb .65]
    }}
    normal{
    dents 3
    warp{turbulence 2}
    turbulence .3
    } 
    scale 10
}

#declare Gold = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong 1.00
        phong_size 52.5
    }
    pigment { rgb <0.255, 0.208, 0.039> }
}

#declare GreyBand = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong 1.00
        phong_size 52.5
    }
    pigment {rgb <0.482, 0.529, 0.435> }
    normal{bozo .75 warp{turbulence .2} scale 10}
}

#declare HatGrey = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong 1.00
        phong_size 52.5
    }
    normal{bozo .75 warp{turbulence .2} scale 10}
    pigment { rgb <0.173, 0.227, 0.169> }
}

#declare Flag = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong 1.00
        phong_size 52.5
    }
    pigment { rgb <0.667, 0.000, 0.000> }
    normal{wrinkles 1.1 warp{turbulence .2} scale 12}
}

#declare FlagPole = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong 1.00
        phong_size 52.5
    }
    pigment { rgb <0.541, 0.271, 0.071> }
    normal{agate .75 warp{turbulence .2} scale <1,5,1>}
}

#declare Burnt = texture {
    finish {ambient .8}
    pigment {
    bozo
    warp{turbulence .5}
    color_map{
    [0 rgb <1.9, 1.9, 1> transmit .7]
    [1 rgb 2 transmit .5]}
}}

#declare Steel2 = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong 1.00
        phong_size 52.5
    }
        pigment {
    bozo
    warp {turbulence .5}
    turbulence .4
    color_map{
    [0 rgb .6]
    [.3 rgb .5]
    [1 rgb .65]
    }}
    normal{
    dents 3
    warp{turbulence 2}
    turbulence .3
    } 
    scale 10
}

#declare Page = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong 1.00
        phong_size 52.5
    }
    pigment { rgb <1.000, 1.000, 1.000> }
}

#declare eraser = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong 1.00
        phong_size 52.5
    }
    pigment { rgb <0.969, 0.776, 0.792> }
}

#declare Pencil = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong 1.00
        phong_size 52.5
    }
    pigment { rgb <0.929, 0.804, 0.376> }
}

#declare eye = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong 1.00
        phong_size 52.5
    }
    pigment { rgb <0.682, 0.667, 0.627> }
}

#declare Beak3 = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong .3
        phong_size 37.8

    }
    pigment { rgb <0.000, 0.000, 0.000> }
}

#declare Beak2 = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong .30
        phong_size 52.5

    }
    pigment { rgb <0.000, 0.000, 0.000> }
}

#declare Black = texture {
    finish {
        ambient 0.10
        diffuse 0.30
        phong .4
        phong_size 52.5
    }
       pigment {
    spotted
    turbulence .2
    color_map{
    [0 rgb .1]
    [1 rgb 0]
     } }
    normal{dents .5 turbulence .5 scale 10}
}

#declare Beak = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong .30
        phong_size 52.5
    }
    pigment {
    bozo
    turbulence .2    
    color_map{
    [0 rgb 0.05]
    [1 rgb <0.769, 0.431, 0.251>]
    
    }
    scale 3
    }
}

#declare Shiny = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong 1.00
        phong_size 52.5
    }
    pigment { rgb <0.718, 0.718, 0.718> }
}

#declare embers = texture {
    finish {
        ambient 2
        diffuse 0.90
    }
    pigment { rgbf <0.939, 0.704, 0.563, 0.500> }
    normal{dents 1.5 turbulence .5}
}

#declare Grey = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong 1.00
        phong_size 52.5
    }
    pigment {
    spotted
    turbulence .2
    color_map{
    [0 rgb .1]
    [1 rgb 0]
     } }
    normal{dents .5 turbulence .5 scale 10}
}

#declare White = texture {
    finish {
        ambient 0.10
        diffuse 0.50
        phong 0.12
        phong_size 24.5
        metallic
    }
    pigment { 
    bozo
    turbulence .6
    octaves 3
    lambda .8
    color_map{
    [0 color White]
    [0.5 rgb <0.871, 0.922, 0.933> ]
    [1 rgb <.7,.75,.76>]
    
    }
    } 
        normal { bozo .75 scale .25 }                     
    scale 9
}

#declare Eyes = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong 1.00
        phong_size 37.8
    }
    pigment { rgb <0.000, 0.000, 0.000> }
}

#declare Steel = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong 1.00
        phong_size 52.5
    }
    pigment {
    bozo
    warp {turbulence .5}
    turbulence .4
    color_map{
    [0 rgb .6]
    [.3 rgb .5]
    [1 rgb .65]
    }}
    normal{
    dents 3
    warp{turbulence 2}
    turbulence .3
    } 
    scale 10
}

#declare Brass = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        specular .6
        roughness .05
        phong 1.00
        phong_size 51.8
    }
    pigment { rgb <0.392, 0.282, 0.020> }
}

#declare BeretGreen = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong 1.00
        phong_size 52.5
    }
    pigment {
    spotted
    turbulence .2 
    color_map{
    [0 rgb <0.129, 0.251, 0.129>]
    [1 rgb <0.1,.2,.1>]
     }}
}

#declare Headlamps = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong 1.00
        phong_size 52.5
    }
    pigment { rgbf <0.981, 0.950, 0.730, 0.200> }
}

#declare TankBody = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong 1.00
        phong_size 52.5
    }
       pigment {
    //granite
    leopard
    turbulence .3
    lambda .6
    octaves .3 
    warp {turbulence .5}
    color_map{
    [0 rgb .2]
    [.3 rgb <.15,.25,.15>]
    [.6 rgb .1]
    [1 rgb <.2,.35,.18>]
    }
    
    scale 40
    
    
    }
    normal { dents .35}   
    normal { granite .35}   
   // scale 70
   scale 35
}
#declare ___default___ = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong 1.00
        phong_size 52.5
    }   
     pigment {
        ripples
        turbulence .7
        warp {turbulence .3}
        color_map{
        [0 rgb<.8, .8, 1>]
        [1 rgb<.4, .4, .4>]    
        }
        scale <25, 25, 25>
      } 
  
    pigment {
        spotted
        warp{turbulence .4}
        color_map {
          [ 0.000  color rgb<0.6, 0.6, .65> ]
          [ 0.329  color rgb<1.000, 1.000, 1.1> ]
          [ 0.734  color rgb<.900, .900, .800> ]
          [ 1.000  color rgb<.4,.4,.6> ]
        }
        turbulence 0.500
        frequency 1
        scale 50
      } 
         
          normal {
        bozo 3.0000 warp{turbulence .2} 
       scale 20
      }
      }  
#declare DEFault_ = texture {
    finish {
        ambient 0.10
        diffuse 0.90
        phong 1.00
        phong_size 52.5
    }   
     pigment {
        ripples
        turbulence .7
        warp {turbulence .3}
        color_map{
        [0 rgb<.8, .8, 1>]
        [1 rgb<.4, .4, .4>]    
        }
        scale <25, 25, 25>
      } 
  
    pigment {
        spotted
        warp{turbulence .4}
        color_map {
          [ 0.000  color rgb<0.6, 0.6, .65> ]
          [ 0.329  color rgb<1.000, 1.000, 1.1> ]
          [ 0.734  color rgb<.900, .900, .800> ]
          [ 1.000  color rgb<.4,.4,.6> ]
        }
        turbulence 0.500
        frequency 1
        scale 50
      } 
         
          normal {
        bozo 3.0000 warp{turbulence .2} 
       scale 20
      }      
          
}  

#if (Draw)
#include "penguin.inc"
object{ scene rotate <-90,0,0> translate <0,15,0> }

#end           
#include "terrain.inc"
object{ terrain rotate <-90,0,0> translate <0,15,0> }

 




